/*拨号台*/
function jsCallPlat()
{

};
/*页面加载*/
jsCallPlat.PageLoad=function()
{
    try
    {
        App.SetNullHref(0);
        $("#txtNumberList").ikeEditor({ width: 190, HiddentToolBar: true, height:200,ValueMode:"text" });
        App.SetNullHref(1);
        setInterval(jsCallPlat.getWaitDialNumberCount,5000);
        var sumWidth=document.body.clientWidth;
        var usedWidth=document.getElementById("divWaitDialNumber").clientWidth+document.getElementById("divMessagePlat").clientWidth;
        var marginValue=App.ieMargin();
        document.getElementById("divCalledList").style.width=sumWidth-usedWidth-3-marginValue;
    }
    catch(e)
    {
        alert("jsCallPlat.PageLoad:"+e.message);
    }
    CollectGarbage();
};
/*手工拨号*/
jsCallPlat.PeopleDial=function()
{
    try
    {
        document.getElementById("btnDial").disabled=true;
        var dialNumber="";
        /*获取号码列表内容*/
        var editorbody=$("#txtNumberList").EditorBody();
        /*创建号码集合载体*/
        var NumberList=editorbody.getElementsByTagName("P");
        /*在集合中取出第一个号码作为拨打号码的对象*/
        if(NumberList.length==0)
        {
            dialNumber=editorbody.innerText;
            /*拨打电话后移除该号码*/
            window.parent.execScript("jsTitle.Dial('"+dialNumber+"');");
            editorbody.innerText="";
        }
        else
        {
            dialNumber=NumberList[0].innerText;
            /*拨打电话后移除该号码*/
            window.parent.execScript("jsTitle.Dial('"+dialNumber+"');");
            editorbody.removeChild(NumberList[0]);
        }
        NumberList=null;
        dialNumber=null;
        editorbody=null;
        /*设置挂机动作*/
        var actionString="jsIndexPage.freshItemPage('tab-callPlat','jsCallPlat.reviewDialButton()')";
        window.parent.execScript("jsTitle.regHoldOffAction(\""+actionString+"\");");
        actionString=null;      
    }
    catch(e)
    {
        alert("jsCallPlat.PeopleDial:"+e.message);
    }
    CollectGarbage();
};
/*恢复手工拨号动作*/
jsCallPlat.reviewDialButton=function()
{
    try
    {
        document.getElementById("btnDial").disabled=false;
    }
    catch(e)
    {
    
    }
    CollectGarbage();
};
/*设置摘机动作*/
jsCallPlat.setHoldOnDial=function(clickObj)
{
    try
    {
        if(clickObj.checked==true)
        {
            /*选择状态的时候要摘机执行指定动作*/
            /*摘机后不能整段拨号，只能单个字符促发拨号*/
            var actionString="jsIndexPage.freshItemPage('tab-callPlat','jsCallPlat.PeopleDial()')";
            window.parent.execScript("jsTitle.regHoldOnAction(\""+actionString+"\");");
            actionString=null;     
        }
        else
        {
            /*不选择的时候要清除摘机指定动作*/
            window.parent.execScript("jsTitle.regHoldOnAction('');");
        }
    }
    catch(e)
    {
    
    }
    CollectGarbage();
};
/*定时刷新获取待拨号台数量；没5秒钟执行一次*/
jsCallPlat.getWaitDialNumberCount=function()
{
    try
    {
        var NumberCount=0;
        /*获取号码列表内容*/
        var editorbody=$("#txtNumberList").EditorBody();
        /*创建号码集合载体*/
        var NumberList=editorbody.getElementsByTagName("P");
        /*在集合中取出第一个号码作为拨打号码的对象*/
        if(NumberList.length==0)
        {
            if(editorbody.innerText!="" && $("#txtNumberList").value()!="")
            {
                NumberCount=1;
            }
            else
            {
                NumberCount=0;
            }
        }
        else
        {
            if($("#txtNumberList").value()!="")
            {
                NumberCount=NumberList.length;
            }
        }
        document.getElementById("sapWaitDialNumberListTitle").innerHTML="["+NumberCount+"]";
        editorbody=null;
        NumberList=null;
    }
    catch(e)
    {
        alert("jsCallPlat.getWaitDialNumberCount:"+e.message);
    }
    CollectGarbage();
};
/*选择号码*/
jsCallPlat.SelectNumber=function()
{
    try
    {
        
    }
    catch(e)
    {
    
    }
    CollectGarbage();
};
window.onload=function()
{
    jsCallPlat.PageLoad();
};